Page MenuHomePhabricator

Terms of use links on the "New translation" dialog should open in a new tab
Closed, ResolvedPublic

Description

In the set-up box that appears when you click the +New Translation button, there is a terms-of-use notice that contains three links.
In earlier releases, when these links were clicked they would open the target page in a new browser tab.
Now when they are clicked, they open the links in the active tab. The user must use the Back button to return to the Translations page, and when they do, the New Translation set-up box is gone and they have to start over.

Encountered this in both cx2-testing & test.wiki.

Event Timeline

Barbvd created this task.Dec 21 2018, 11:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2018, 11:51 PM
Pginer-WMF renamed this task from CX2: Links in New Translation set-up box open in current page instead of new tab to Terms of use links on the "New translation" dialog should open in a new tab.Dec 27 2018, 12:05 PM
Pginer-WMF triaged this task as Low priority.
Pginer-WMF moved this task from Needs Triage to Bugs on the ContentTranslation board.

Change 482570 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Open terms of use in new tab

https://gerrit.wikimedia.org/r/482570

Change 482570 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Open terms of use in new tab

https://gerrit.wikimedia.org/r/482570

Petar.petkovic closed this task as Resolved.Jan 7 2019, 7:57 AM
Petar.petkovic removed a project: Patch-For-Review.
Petar.petkovic removed a subscriber: gerritbot.